> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Blueprint.

> Delete a previously created Blueprint. If a blueprint has dependent snapshots, it cannot be deleted. You can find them by querying: GET /v1/devboxes/disk_snapshots?source_blueprint_id={blueprint_id}.



## OpenAPI

````yaml /openapi-specs/stainless-processed-openapi.json post /v1/blueprints/{id}/delete
openapi: 3.1.0
info:
  title: RunLoop API
  version: '0.1'
  description: >-
    The RunLoop API spec that allows you to host lambda functions and Devboxes
    to enable scaled long running ai workflows.
  contact:
    name: Runloop AI Support
    url: https://runloop.ai
    email: support@runloop.ai
servers:
  - url: https://api.runloop.ai
    description: Runloop API
    variables: {}
security:
  - bearerAuth: []
tags:
  - name: Benchmark
  - name: Blueprint
  - name: Blueprint-Lifecycle
  - name: Blueprint-ObservabilityTools
  - name: Devbox
  - name: Devbox-FileTools
  - name: Devbox-Lifecycle
  - name: Devbox-NetworkTools
  - name: Devbox-ObservabilityTools
  - name: Devbox-PersistenceTools
  - name: Devbox-ShellTools
  - name: Scenario
  - name: ScenarioScorer
  - name: accounts
  - name: agents
  - name: apikeys
  - name: axons
  - name: executions
  - name: gateway-configs
  - name: mcp-configs
  - name: network-policies
  - name: objects
  - name: restricted_keys
  - name: secrets
  - name: streaming
paths:
  /v1/blueprints/{id}/delete:
    post:
      tags:
        - Blueprint
      summary: Delete a Blueprint.
      description: >-
        Delete a previously created Blueprint. If a blueprint has dependent
        snapshots, it cannot be deleted. You can find them by querying: GET
        /v1/devboxes/disk_snapshots?source_blueprint_id={blueprint_id}.
      operationId: deleteBlueprint
      parameters:
        - name: id
          in: path
          description: The ID of the Blueprint
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmptyRecord'
        '400':
          description: >-
            Blueprint has dependent snapshots that must be deleted first.
            Returns list of snapshot IDs.
        '404':
          description: Blueprint not found.
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Runloop from '@runloop/api-client';

            const client = new Runloop({
              bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
            });

            const blueprint = await client.blueprints.delete('id');

            console.log(blueprint);
        - lang: Python
          source: |-
            import os
            from runloop_api_client import Runloop

            client = Runloop(
                bearer_token=os.environ.get("RUNLOOP_API_KEY"),  # This is the default and can be omitted
            )
            blueprint = client.blueprints.delete(
                "id",
            )
            print(blueprint)
components:
  schemas:
    EmptyRecord:
      type: object
      properties: {}
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````